<?xml version="1.0" encoding="UTF-8"?>
<ruleset name="pcsg-generated-ruleset">
    <description>Created with the PHP Coding Standard Generator. http://edorian.github.com/php-coding-standard-generator/
    </description>

    <!-- display progress -->
    <arg value="p"/>
    <arg name="colors"/>
    <arg name="extensions" value="php"/>

    <rule ref="Generic.Formatting.MultipleStatementAlignment"/>
    <rule ref="Generic.Functions.CallTimePassByReference"/>
    <rule ref="Generic.Functions.FunctionCallArgumentSpacing"/>
    <rule ref="Generic.Functions.OpeningFunctionBraceBsdAllman"/>
    <rule ref="Generic.Metrics.CyclomaticComplexity"/>
    <rule ref="Generic.NamingConventions.ConstructorName"/>
    <rule ref="Generic.NamingConventions.UpperCaseConstantName"/>
    <rule ref="Generic.NamingConventions.CamelCapsFunctionName"/>
    <rule ref="Generic.PHP.DisallowShortOpenTag"/>
    <rule ref="Generic.Strings.UnnecessaryStringConcat"/>
    <rule ref="MySource.PHP.EvalObjectFactory"/>
    <rule ref="MySource.PHP.GetRequestData"/>
    <rule ref="PEAR.Commenting.ClassComment">
        <severity>0</severity>
    </rule>
    <rule ref="PEAR.Commenting.FileComment">
        <severity>0</severity>
    </rule>
    <rule ref="PEAR.ControlStructures.MultiLineCondition"/>
    <rule ref="PEAR.Functions.FunctionCallSignature">
        <properties>
            <property name="allowMultipleArguments" value="false"/>
        </properties>
    </rule>
    <rule ref="PEAR.Functions.ValidDefaultValue"/>
    <rule ref="PSR1.Classes.ClassDeclaration"/>
    <rule ref="PSR1.Files.SideEffects"/>
    <rule ref="PSR2.Classes.ClassDeclaration">
        <exclude-pattern type="relative">frontend/tests/*</exclude-pattern>
        <exclude-pattern type="relative">frontend/config/*</exclude-pattern>
        <exclude-pattern type="relative">frontend/assets/*</exclude-pattern>
        <exclude-pattern type="relative">frontend/web/*</exclude-pattern>
        <exclude-pattern type="relative">frontend/views/*</exclude-pattern>
        <exclude-pattern type="relative">frontend/tests/*</exclude-pattern>
    </rule>
    <rule ref="PSR2.Classes.PropertyDeclaration"/>
    <rule ref="PSR2.ControlStructures.ControlStructureSpacing"/>
    <rule ref="PSR2.ControlStructures.ElseIfDeclaration"/>
    <rule ref="PSR2.ControlStructures.SwitchDeclaration"/>
    <rule ref="PSR2.Files.EndFileNewline"/>
    <rule ref="PSR2.Methods.MethodDeclaration"/>
    <rule ref="Squiz.PHP.CommentedOutCode">
        <severity>0</severity>
    </rule>
    <rule ref="Squiz.PHP.DisallowInlineIf">
        <severity>0</severity>
    </rule>
    <rule ref="Squiz.PHP.DisallowSizeFunctionsInLoops"/>
    <rule ref="Squiz.PHP.Eval"/>
    <rule ref="Squiz.PHP.GlobalKeyword"/>
    <rule ref="Squiz.PHP.InnerFunctions"/>
    <rule ref="Squiz.PHP.LowercasePHPFunctions"/>
    <rule ref="Squiz.PHP.NonExecutableCode"/>
    <rule ref="Squiz.Scope.MemberVarScope">
    </rule>
    <rule ref="Squiz.Scope.MethodScope"/>
    <rule ref="Squiz.Scope.StaticThisUsage"/>
    <rule ref="Squiz.WhiteSpace.ControlStructureSpacing"/>
    <rule ref="Squiz.WhiteSpace.FunctionOpeningBraceSpace"/>
    <rule ref="Squiz.WhiteSpace.FunctionSpacing">
        <severity>0</severity>
    </rule>
    <rule ref="Squiz.WhiteSpace.LanguageConstructSpacing"/>
    <rule ref="Squiz.WhiteSpace.LogicalOperatorSpacing"/>
    <rule ref="Squiz.WhiteSpace.MemberVarSpacing">
        <severity>0</severity>
    </rule>
    <rule ref="Squiz.WhiteSpace.OperatorSpacing"/>
    <rule ref="Squiz.WhiteSpace.ScopeClosingBrace"/>
    <rule ref="Squiz.WhiteSpace.ScopeKeywordSpacing"/>
    <rule ref="Squiz.WhiteSpace.SemicolonSpacing"/>
    <rule ref="Squiz.WhiteSpace.SuperfluousWhitespace">
        <properties>
            <property name="ignoreBlankLines" value="true"/>
        </properties>
    </rule>

    <exclude-pattern type="relative">tests/*</exclude-pattern>
    <exclude-pattern type="relative">config/*</exclude-pattern>
    <exclude-pattern type="relative">assets/*</exclude-pattern>
    <exclude-pattern type="relative">web/*</exclude-pattern>
    <exclude-pattern type="relative">views/*</exclude-pattern>
    <exclude-pattern type="relative">tests/*</exclude-pattern>

    <exclude-pattern type="relative">tests/*</exclude-pattern>
    <exclude-pattern type="relative">config/*</exclude-pattern>
    <exclude-pattern type="relative">assets/*</exclude-pattern>
    <exclude-pattern type="relative">web/*</exclude-pattern>
    <exclude-pattern type="relative">views/*</exclude-pattern>
    <exclude-pattern type="relative">tests/*</exclude-pattern>

    <exclude-pattern type="relative">tests/*</exclude-pattern>
    <exclude-pattern type="relative">config/*</exclude-pattern>
    <exclude-pattern type="relative">assets/*</exclude-pattern>
    <exclude-pattern type="relative">web/*</exclude-pattern>
    <exclude-pattern type="relative">tests/*</exclude-pattern>

    <exclude-pattern type="relative">mail/</exclude-pattern>
    <exclude-pattern type="relative">__autocomplete.php</exclude-pattern>
</ruleset>